Initiates a job that geocodes exposure data uploaded to the specified BULK_GEOHAZ folder.
This operation facilitates the catastrophe modeling processes by geocoding large volumes of exposures in a single request.
Geocoding
Geocoding is the process of estimating the global coordinates (latitude and longitude) of a location based on its street address, city, postal code, or other address information. The geocoding engine evaluates the address information for completeness and quality, standardizes address elements (e.g. postal codes, cities), and appends or "backfills" missing location information.
Geocoding is a prerequisite for all catastrophe modelling processes. The global coordinates define a spatial reference system that can be recognized by a model.
Sample request
The request body specifies the ID of a BULK_GEOHAZ folder on Amazon S3. A flat file of exposure data in CSV format should be uploaded to this folder prior to initiating a bulk geocoding job. For details, see Create Bulk Geohaz Folder.
The request body accepts name and version of this data product as well as a number of options:
Option
Type
Description
aggregateTrigger
Boolean
If false, returns coordinates for lower resolution matches. If true, sets coordinates to (0.0, 0.0) in lower resolutions.
forceCountryLevel
Boolean
If false, locations are skipped if the only properties specified are the countryCode and countryScheme. If true, locations are geocoded whenever the countryCode and countrySchemes properties are valid, and the geoResolutionCode (match level) is automatically set to 14.
licenseType
Boolean
If 0 uses RL engine. If 1, uses HD engine.
skipPrevGeocoded
Boolean
If true, skips locations with a geoResolutionCode (match level) that is greater than 0 (None).
🪰
Entitlements
RI-RISKMODLERRI-UNDERWRITEIQ
BULK_GEOHAZ, geocode, aggregateTrigger, forceCountryLevel, licenseType, match level, skipPrevGeocoded, data layer, geocode layer, layer version
Responses
400
The request was unacceptable, likely due to missing a required input.
401
No valid API key provided.
403
Forbidden: Access to this resource / action is denied or not authorized
404
Not found.
405
Method not allowed
500
Something went wrong on our end (this happens rarely)